Home Download FAQ / Knowledge Base Screenshots Documentation Support

Recommended browsers for Webcit

Webcit works best with a recent, standards complaint browser. New features take advantage of the full range of DOM, JavaScript and CSS features.

Any version of Firefox, Chrome, Edge, or browsers derived from one of these, ought to work fine. You will need to have JavaScript enabled, and in order to receive instant messages, you will need to accept popups.

The most recent version of Internet Explorer will probably work, but in general the use of this deprecated browser is not recommended.

There are no social media links here. Enjoy a friendly Citadel community instead. Or go outside.